I've just bought a new HP Envy 15t-3200 (ivy) and am trying to get fglrx running on it, but no ati tools seem willing to recognize that it's a supported device. It's supposedly running a 7750M chip (along with an intel muxless I assume ...)
Code:
$ amdconfig --initial
amdconfig: No supported drivers detected
It's got a weird ID string in lspci:
Code:
$ lspci -nn | grep VGA
00:02.0 VGA compatible controller [0300]: Intel Corporation Ivy Bridge Graphics Controller [8086:0166] (rev 09)
01:00.0 VGA compatible controller [0300]: Advanced Micro Devices [AMD] nee ATI Device [1002:682f]
I've tried the 12.4 drivers (both through Ubuntu and dl'd from ATI) as well as the 12.6 beta drivers and get the same results everywhere. FOSS drivers work ok. I tried creating a simple xorg.conf file

Can anyone tell me how to find a list of PCI IDs supported by a given ATI driver? Does it identify by PCI ID? Anyone else have this model working with proprietary driver?